:root {
    --nav-width : 300px;
    --navname-height : 48px;
}

html { 
    font-size: 12px; 
    font-family: sans-serif; 
    box-sizing: border-box; 
    padding: 0px 0px 0px 0px; 
    margin: 0px 0px 0px 0px; 
    width: 100%; 
    height: 100%; 
}

body { 
    font-size: 12px; 
    font-family: sans-serif; 
    box-sizing: border-box; 
    padding: 0px 0px 0px 0px; 
    margin: 0px 0px 0px 0px; 
    width: 100%; 
    height: 100%; 
}

nav  { 
    position: absolute; 
    top: 0px; 
    left: 0px; 
    width: var(--nav-width); 
    height: 100%; 
}
navname {
    user-select: none;                
    display: inline-block; 
    box-sizing: border-box; 
    height: var(--navname-height); 
    width: var(--nav-width); 
    overflow-x: hidden;
    overflow-y: hidden;
    padding: 8px 8px 8px 8px;
    font-size: 32px;
    line-height: 32px;
    vertical-align: bottom;
    font-weight: 800px;
}

navcontent {
    display: inline-block; 
    box-sizing: border-box; 
    width: var(--nav-width);
    position: absolute;
    top: var(--navname-height);
    left: 0px;
    height: calc(100% - var(--navname-height)); 
    overflow-x: hidden;
    overflow-y: auto;
    padding: 8px 8px 8px 8px;
}

content  { 
    display: inline-block; 
    box-sizing: border-box; 
    height: 100%; 
    width: calc(100% - var(--nav-width)); 
    position: absolute; 
    top: 0px; 
    right: 0px; 
    overflow-x: auto;
    overflow-y: auto;
    padding: 8px 8px 8px 8px;
}

overlay { 
    pointer-events: none;
    display: inline-block; 
    box-sizing: border-box; 
    height: 100%; 
    width: calc(100% - var(--nav-width)); 
    position: absolute; 
    top: 0px; 
    right: 0px; 
    overflow: hidden;
}

svg {
    pointer-events: none;
    position: absolute; 
    /* border: 1px solid #8888; */
}
node i {
    font-size: 30px !important; 
}
navname i, node i {
    user-select: none;                
    /* font-family: 'Webdings'; */
    text-decoration: none;
    font-style: normal;
    line-height: 32px;
    font-size: 30px;
    vertical-align: bottom;
    padding-right: 4px;                
}

navcard label {
    display: inline-block;
    width: 100%;
    font-weight: 650;
    user-select: none;
}

navcard input {
    width: calc(100% - 8px);
    border-radius: 4px 4px 4px 4px;
    border-style: solid;
    border-width: 1px;    
}

node[selected="selected"] { 
    transition: color 500ms ease-in-out,line-height 500ms ease-in-out, background-color 500ms ease-in-out, border-width 125ms ease-in-out, padding 125ms ease-in-out;
    border-width: 3px !important;
    line-height: 44px;
    padding-left: 1px;
}

node[root='true']{
    border-style: outset;
    border-width: 1px;
}

node {
    position: absolute;
    user-select: none;
    transition: filter 250ms ease-in-out, top 250ms ease-in-out, right 250ms ease-in-out, bottom 250ms ease-in-out, left 250ms ease-in-out;
    cursor: pointer;
    display: inline-block; 
    box-sizing: border-box; 
    min-width:  64px;
    min-height: 64px;
    max-width:  64px;
    box-shadow: 0px 0px 4px #000A;
    max-height: 64px;
    /* padding: 16px 16px 16px 16px; */
    line-height: 46px;
    text-align: center;
    padding-left: 2px;
    vertical-align: middle;
    border-width: 1px;
    border-style: solid;
    border-radius: 32px 32px 32px 32px;
}

navcard {
    display: inline-block; 
    box-sizing: border-box; 
    width: 100%;
    height: auto;
    border-width: 1px;
    border-style: solid;
    padding: 8px 8px 8px 8px;
    border-radius: 8px 8px 8px 8px;    
}            

button:hover {
    filter: brightness(1.25);
}

button:active {
    margin-top: 2px;
    margin-bottom: -2px;
}

button {
    cursor:pointer;
    height: 32px;
    line-height: 32px;
    vertical-align: middle;
    border-radius: 8px 8px 8px 8px;
    border-style: solid;
    border-width: 1px;
    outline-width: 0px;
    font-size: 24px;
    text-shadow: 1px 1px 0px #8888;
}

input[type='text'],
input[type='number']{
    font-weight: 650; 
    text-align: right; 
    width: calc(100%);
    box-sizing: border-box;
    margin:0px 0px 0px 0px;    
}

input.half {
    display:inline-block; 
    width:49.4%;
    /*float: left;*/
}

#menu {
    cursor: pointer; 
    position: absolute; 
    right: 0px; 
    top: 0px; 
    z-index: 10000; 
    user-select: none;
    display:none;
}

super {
    vertical-align: super;
    font-size: 13px;
    padding-left: 8px;
}

output:hover {
    height: 100%;
    background: #f0f0f0f0;
    padding: 8px 8px 8px 8px;    
    overflow-y: auto;
 }
 output {
    transition: height 250ms ease-in-out , padding 250ms ease-in-out, background  500ms ease-in-out;
    height: 32px;
    display: inline-block; 
    box-sizing: border-box; 
    overflow-y: hidden;
    overflow-x: hidden;
    white-space: pre-wrap;
    width: calc(100% - var(--nav-width)); 
    position: absolute; 
    bottom: 0px; 
    right: 0px; 
    z-index: 50000;
    padding: 0px 0px 0px 0px;   
    background: #f0f0f040;
    box-shadow: 2px 2px 0px #0008 inset;;
    color: #303030;
    font-weight: 640;
}

filter {
    /* display: none !important; */
    z-index: 99999999;
    display: inline-block; 
    box-sizing: border-box; 
    position: absolute;
    margin: 0px 0px 0px 0px !important;
    width: 100%;
    height: 100%;
    top: 0px;
    left: 0px;
    pointer-events: none;
    /* background-color: #421f; */
    /* background-color: #8050808f; */
    mix-blend-mode: overlay;
    
}

@keyframes example {
    0% {background-color:   #0000ff15;}
    25% {background-color:  #008f0015;}
    50% {background-color:  #8f000015;}
    75% {background-color:  #8f8f0015;}
    100% {background-color: #0000ff15;}
}  

filter.animated {
    animation-name: example;
    animation-duration: 10s;
    animation-direction: alternate-reverse;
    animation-iteration-count: infinite;
}

canvas {
    display: inline-block; 
    box-sizing: border-box; 
    height: 100%; 
    width: calc(100% - var(--nav-width)); 
    position: absolute; 
    top: 0px; 
    right: 0px; 
    margin: 0px 0px 0px 0px;
    padding: 0px 0px 0px 0px;
}